Bug 1003805 - Dist-geo-rep : geo-rep failed to sync few of the hardlinks to one of the slaves, when there are many.
Dist-geo-rep : geo-rep failed to sync few of the hardlinks to one of the slav...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
mainline
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Csaba Henk
:
Depends On: 994351
Blocks: 1001055
  Show dependency treegraph
 
Reported: 2013-09-03 05:18 EDT by Venky Shankar
Modified: 2014-07-11 15:17 EDT (History)
7 users (show)

See Also:
Fixed In Version: glusterfs-3.5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 994351
Environment:
Last Closed: 2014-07-11 15:17:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Avati 2013-09-03 06:05:23 EDT
REVIEW: http://review.gluster.org/5757 (gsyncd / geo-rep: fix hardlink creation on slave) posted (#1) for review on master by Venky Shankar (vshankar@redhat.com)
Comment 2 Anand Avati 2013-09-03 06:06:51 EDT
REVIEW: http://review.gluster.org/5760 (gsyncd / geo-rep: Fix "regular file" overloading link()) posted (#1) for review on master by Venky Shankar (vshankar@redhat.com)
Comment 3 Anand Avati 2013-09-04 23:55:09 EDT
COMMIT: http://review.gluster.org/5757 committed in master by Anand Avati (avati@redhat.com) 
------
commit e0fa0bb1b1e1758d2e68b4940939e87d438fa14f
Author: Venky Shankar <vshankar@redhat.com>
Date:   Tue Aug 27 13:02:00 2013 +0530

    gsyncd / geo-rep: fix hardlink creation on slave
    
    Change-Id: I20fbd518bf519cbf2362b97aeb8be7c3b105087a
    BUG: 1003805
    Signed-off-by: Venky Shankar <vshankar@redhat.com>
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Tested-by: Amar Tumballi <amarts@redhat.com>
    Reviewed-on: http://review.gluster.org/5757
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Avra Sengupta <asengupt@redhat.com>
    Tested-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 4 Anand Avati 2013-09-04 23:57:12 EDT
COMMIT: http://review.gluster.org/5760 committed in master by Anand Avati (avati@redhat.com) 
------
commit 717d2db0c0df5844cbc7ce99c8ec7457f24d8e0c
Author: Venky Shankar <vshankar@redhat.com>
Date:   Wed Aug 28 13:58:16 2013 +0530

    gsyncd / geo-rep: Fix "regular file" overloading link()
    
    ... missing entry2pb() call before going ahead with create.
    
    Change-Id: I48de4df3f0ea6c789c9eeb10cd332ab461f3c868
    BUG: 1003805
    Signed-off-by: Venky Shankar <vshankar@redhat.com>
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Tested-by: Amar Tumballi <amarts@redhat.com>
    Reviewed-on: http://review.gluster.org/5760
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Avra Sengupta <asengupt@redhat.com>
    Tested-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.